## konsole 23.08.5

=== data/CMakeLists.txt ===

add_subdirectory( color-schemes )
add_subdirectory( keyboard-layouts )
add_subdirectory( layouts )

install( FILES konsole.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
install(FILES konsolerc DESTINATION ${KDE_INSTALL_CONFDIR})
