## konsole 24.08.1

=== debian/changelog ===
konsole (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:30 +0100

konsole (4:24.08.0-0ubuntu2) oracular; urgency=medium

  * Refresh install files. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 29 Aug 2024 05:50:41 -0700

konsole (4:24.08.0-0ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 
  * New upstream release (24.08.0). 
  * Refresh install files. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 29 Aug 2024 04:58:45 -0700

konsole (4:24.05.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add breaks for konsole-kpart on yakuake << 24.05.2.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 16 Aug 2024 12:33:07 +0200

konsole (4:24.05.2-1) experimental; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (24.05.2-1).
  * Update build-deps with info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update list of installed files from build system.
  * Update lintian overrides.

 -- Jesse Rhodes <jesse@sney.ca>  Wed, 17 Jul 2024 21:39:58 -0400
