## konsole 24.12.0

=== debian/changelog ===
konsole (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 22:07:28 +0100

konsole (4:24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 08:27:29 +0100

konsole (4:24.08.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add breaks for konsole-kpart on yakuake << 24.05.2.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Remove obsolete /etc/xdg/konsolerc config file.
  * Update the list of installed files.
  * Fix permissions of installed files.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Sep 2024 00:07:33 +0200
