## konsole 24.12.1

=== debian/changelog ===
konsole (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:20:08 +0000

konsole (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:03 +0000

konsole (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:22:47 +0000

konsole (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 14:19:59 +0000

konsole (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Remove no longer shipped /etc/xdg/konsolerc on upgrade.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 19:52:35 +0000

konsole (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:16 +0000
