=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,12 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"konsole\")
 
 ### Handle DragonFlyBSD here instead of using __DragonFly__
-IF(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
+if(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
   set(HAVE_OS_DRAGONFLYBSD 1)
 else()
   set(HAVE_OS_DRAGONFLYBSD 0)
 endif()
 
-IF(NOT (${KF${QT_MAJOR_VERSION}_VERSION} VERSION_LESS "5.60.0"))
-    set(USE_TERMINALINTERFACEV2 1)
-endif()
-
 include(CheckIncludeFiles)
 include(ECMAddAppIcon)
 
@@ -21,11 +17,9 @@
 
 ### Tests
 if(BUILD_TESTING)
-    if (NOT WIN32)
-        find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG REQUIRED)
+        find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)
         add_subdirectory(autotests)
         add_subdirectory(tests)
-    endif()
 endif()
 
 
@@ -38,50 +32,63 @@
 ### Development tools
 option(KONSOLE_BUILD_UNI2CHARACTERWIDTH "Konsole: build uni2characterwidth executable" OFF)
 
-### Konsole source files shared between embedded terminal and main application
-# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
-# qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml
-
-# Generate dbus .xml files; do not store .xml in source folder
-qt_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)
-
-qt_add_dbus_adaptor(windowadaptors_SRCS
-                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
-                    ViewManager.h
-                    Konsole::ViewManager)
-
-# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
-# Generate dbus .xml files; do not store .xml in source folder
-qt_generate_dbus_interface(session/Session.h org.kde.konsole.Session.xml OPTIONS -m)
-
-qt_add_dbus_adaptor(
-    sessionadaptors_SRCS
-    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
-    session/Session.h
-    Konsole::Session
-)
+set(dbus_xml_srcs)
+if(HAVE_DBUS)
+    ### Konsole source files shared between embedded terminal and main application
+    # qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
+    # qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml
+
+    # Generate dbus .xml files; do not store .xml in source folder
+    qt_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)
+
+    qt_add_dbus_adaptor(windowadaptors_SRCS
+                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
+                        ViewManager.h
+                        Konsole::ViewManager)
+
+    # qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
+    # Generate dbus .xml files; do not store .xml in source folder
+    qt_generate_dbus_interface(session/Session.h org.kde.konsole.Session.xml OPTIONS -m)
+
+    qt_add_dbus_adaptor(
+        sessionadaptors_SRCS
+        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
+        session/Session.h
+        Konsole::Session
+    )
+
+    set(dbus_xml_srcs
+        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
+        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
+    )
+endif()
 
 set(konsole_LIBS
-    KF${QT_MAJOR_VERSION}::XmlGui
+    KF6::XmlGui
     Qt::Multimedia
     Qt::PrintSupport
     Qt::Xml
-    KF${QT_MAJOR_VERSION}::Notifications
-    KF${QT_MAJOR_VERSION}::WindowSystem
-    KF${QT_MAJOR_VERSION}::TextWidgets
-    KF${QT_MAJOR_VERSION}::GuiAddons
-    KF${QT_MAJOR_VERSION}::IconThemes
-    KF${QT_MAJOR_VERSION}::Bookmarks
-    KF${QT_MAJOR_VERSION}::I18n
-    KF${QT_MAJOR_VERSION}::KIOWidgets
-    KF${QT_MAJOR_VERSION}::DBusAddons
-    KF${QT_MAJOR_VERSION}::NewStuffCore
-)
-
-if (NOT WIN32)
+    KF6::Notifications
+    KF6::WindowSystem
+    KF6::TextWidgets
+    KF6::GuiAddons
+    KF6::IconThemes
+    KF6::Bookmarks
+    KF6::I18n
+    KF6::KIOWidgets
+    KF6::NewStuffCore
+)
+
+if(NOT WIN32)
     list(APPEND konsole_LIBS
-        KF${QT_MAJOR_VERSION}::Pty
-        KF${QT_MAJOR_VERSION}::GlobalAccel
+        KF6::Pty
+    )
+endif()
+
+if(HAVE_DBUS)
+    list(APPEND konsole_LIBS
+        KF6::DBusAddons
+        KF6::GlobalAccel
     )
 endif()
 
@@ -109,7 +116,7 @@
 add_library(konsoleprivate_core STATIC ${konsoleprivate_core_SRCS})
 # Needed to link this static lib to shared libs
 set_target_properties(konsoleprivate_core PROPERTIES POSITION_INDEPENDENT_CODE ON)
-target_link_libraries(konsoleprivate_core KF${QT_MAJOR_VERSION}::CoreAddons)
+target_link_libraries(konsoleprivate_core KF6::CoreAddons)
 
 set(konsolehelpers_SRCS
     LabelsAligner.cpp
@@ -129,12 +136,11 @@
 add_subdirectory(characters)
 add_subdirectory(decoders)
 add_subdirectory(plugins)
-if (WIN32)
+if(WIN32)
     set(ptyqt_srcs ptyqt/iptyprocess.cpp ptyqt/conptyprocess.cpp)
 endif()
 
 set(konsoleprivate_SRCS ${windowadaptors_SRCS}
-                        AppColorSchemeChooser.cpp
                         BookmarkHandler.cpp
                         BookmarkMenu.cpp
                         CheckableSessionModel.cpp
@@ -152,6 +158,7 @@
                         RenameTabDialog.cpp
                         SSHProcessInfo.cpp
                         SaveHistoryTask.cpp
+                        SaveHistoryAutoTask.cpp
                         Screen.cpp
                         ScreenWindow.cpp
                         ScrollState.cpp
@@ -223,14 +230,17 @@
                         session/SessionListModel.cpp
                         session/SessionManager.cpp
                         session/SessionTask.cpp
-                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
 
                         widgets/TerminalDisplayAccessible.cpp
                         widgets/TerminalHeaderBar.cpp
                         widgets/ViewContainer.cpp
                         widgets/ViewSplitter.cpp
                         widgets/KonsolePrintManager.cpp
-                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml)
+
+                        ${dbus_xml_srcs}
+
+                        ../data/data.qrc
+                        ../desktop/konsole.qrc)
 
 kconfig_add_kcfg_files(konsoleprivate_SRCS settings/KonsoleSettings.kcfgc)
 
@@ -243,6 +253,7 @@
     PrintOptions.ui       # Temporary to build session static library
     RenameTabDialog.ui
     settings/GeneralSettings.ui
+    settings/MemorySettings.ui
     settings/PartInfo.ui
     settings/ProfileSettings.ui
     settings/TabBarSettings.ui
@@ -259,9 +270,6 @@
     widgets/RenameTabWidget.ui
 )
 
-# add the resource files for the ui files
-qt_add_resources( konsoleprivate_SRCS ../desktop/konsole.qrc)
-
 add_library(konsoleprivate ${konsoleprivate_SRCS})
 generate_export_header(konsoleprivate BASE_NAME konsoleprivate)
 
@@ -275,42 +283,41 @@
     konsolehelpers
     konsolecharacters
     konsoledecoders
-    KF${QT_MAJOR_VERSION}::NewStuffCore
-    KF${QT_MAJOR_VERSION}::NewStuffWidgets
+    KF6::NewStuffCore
+    KF6::NewStuffWidgets
     ${konsole_LIBS}
     ZLIB::ZLIB
     ICU::uc
     ICU::i18n
 )
 
-if(QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(konsoleprivate
-        PUBLIC
-        Qt6::Core5Compat
-        PRIVATE
-        KF6::IconWidgets
-    )
-endif()
+target_link_libraries(konsoleprivate
+    PUBLIC
+    Qt6::Core5Compat
+    PRIVATE
+    KF6::IconWidgets
+    KF6::BookmarksWidgets
+)
 
 set_target_properties(konsoleprivate PROPERTIES
-    VERSION ${KONSOLEPRIVATE_VERSION}
-    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
+    VERSION ${RELEASE_SERVICE_VERSION}
 )
 
 install(TARGETS konsoleprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
 
 add_library(konsoleapp SHARED Application.cpp
-   MainWindow.cpp
-   settings/ConfigurationDialog.cpp
-   settings/ConfigDialogButtonGroupManager.cpp
-   settings/TemporaryFilesSettings.cpp
-   settings/GeneralSettings.cpp
-   settings/ProfileSettings.cpp
-   settings/TabBarSettings.cpp
-   settings/ThumbnailsSettings.cpp
-   pluginsystem/IKonsolePlugin.cpp
-   pluginsystem/PluginManager.cpp
-   delegates/ProfileShortcutDelegate.cpp
+    MainWindow.cpp
+    settings/ConfigurationDialog.cpp
+    settings/ConfigDialogButtonGroupManager.cpp
+    settings/TemporaryFilesSettings.cpp
+    settings/GeneralSettings.cpp
+    settings/MemorySettings.cpp
+    settings/ProfileSettings.cpp
+    settings/TabBarSettings.cpp
+    settings/ThumbnailsSettings.cpp
+    pluginsystem/IKonsolePlugin.cpp
+    pluginsystem/PluginManager.cpp
+    delegates/ProfileShortcutDelegate.cpp
 )
 
 generate_export_header(konsoleapp BASE_NAME konsoleapp)
@@ -319,26 +326,43 @@
 
 target_link_libraries(konsoleapp
   konsoleprivate
-  KF${QT_MAJOR_VERSION}::XmlGui
-  KF${QT_MAJOR_VERSION}::WindowSystem
-  KF${QT_MAJOR_VERSION}::Bookmarks
-  KF${QT_MAJOR_VERSION}::I18n
-  KF${QT_MAJOR_VERSION}::KIOWidgets
-  KF${QT_MAJOR_VERSION}::NotifyConfig
-  KF${QT_MAJOR_VERSION}::Crash
+  KF6::XmlGui
+  KF6::WindowSystem
+  KF6::Bookmarks
+  KF6::I18n
+  KF6::KIOWidgets
+  KF6::NotifyConfig
+  KF6::Crash
 )
 
 set_target_properties(konsoleapp PROPERTIES
-    VERSION ${KONSOLEPRIVATE_VERSION}
-    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
+    VERSION ${RELEASE_SERVICE_VERSION}
 )
 
 install(TARGETS konsoleapp ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
 
 set(konsole_SRCS
-   main.cpp
+    main.cpp
 )
 
 # Sets the icon on Windows and OSX
 ecm_add_app_icon(ICONS_SOURCES ICONS ${ICONS_SRCS})
 
+add_executable(konsole ${konsole_SRCS} ${ICONS_SOURCES})
+target_link_libraries(konsole
+  konsoleprivate
+  konsoleapp
+  KF6::XmlGui
+  KF6::WindowSystem
+  KF6::Bookmarks
+  KF6::I18n
+  KF6::KIOWidgets
+  KF6::NotifyConfig
+  KF6::Crash
+)
+
+if(APPLE)
+    set_target_properties(konsole PROPERTIES
+        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.konsole"
+        MACOSX_BUNDLE_BUNDLE_NAME "Konsole"
+        MACOSX_BUNDLE_DISPLAY_NAME "Konsole"
