## konsole 25.04.0

=== debian/changelog ===
konsole (4:25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Salvo 'LtWorf' Tomaselli ]
  * Patch from upstream to fix CVE-2025-49091

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Jun 2025 19:48:29 +0200

konsole (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:00 +0200

konsole (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:04:44 +0200
